- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# tree – Save host events to files

- Synopsis
- Requirements
- Status

## Synopsis

- This callback is used by the Ansible (adhoc) command line option -t|–tree
- This produces a JSON dump of events in a directory, a file for each host, the directory used MUST be passed as a command line option.

## Requirements

The below requirements are needed on the local master node that executes this callback.

- invoked in the command line

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]
- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.